## cblues-grub-theme 2021.1.0-2

=== Makefile ===
#!/usr/bin/make -f

include ./VERSION

all: background logo font icons menu slider highlight userpass themetxt livetxt
icons: theme/icons/*.svg

dir:
	mkdir -p build/$(CODENAME_SAFE)

iconsdir:
	mkdir -p build/$(CODENAME_SAFE)/icons

background: dir
	inkscape --without-gui \
		 --export-width=1024 \
		 --export-height=768 \
		 --export-png="build/$(CODENAME_SAFE)/$@.png" \
			svg/$@.svg

logo: dir
	inkscape --without-gui \
		 --export-width=196 \
		 --export-height=38 \
		 --export-png="build/$(CODENAME_SAFE)/logo.png" \
			svg/logo.svg

userpass: dir
	inkscape --without-gui \
		 --export-png="build/$(CODENAME_SAFE)/userpass.png" \
			theme/userpass.svg

font: dir
	grub-mkfont -s 16 -o build/$(NAME)/u_vga16_16.pf2 template/u_vga16.bdf

slider_n: dir
	inkscape --without-gui \
		--export-area=0:16:32:32 \
		--export-png="build/$(CODENAME_SAFE)/slider_n.png" \
			theme/dot_white.svg

slider_c: dir
	inkscape --without-gui \
		--export-area=0:16:32:17 \
		--export-png="build/$(CODENAME_SAFE)/slider_c.png" \
			theme/dot_white.svg

slider_s: dir
	inkscape --without-gui \
		--export-area=0:0:32:16 \
		--export-png="build/$(CODENAME_SAFE)/slider_s.png" \
			theme/dot_white.svg

slider: slider_n slider_c slider_s

menu_e: dir
	inkscape --without-gui \
		--export-area=16:16:32:17 \
		--export-png="build/$(CODENAME_SAFE)/menu_e.png" \
			theme/dot_black.svg

menu_c: dir
	inkscape --without-gui \
		--export-area=16:16:17:17 \
		--export-png="build/$(CODENAME_SAFE)/menu_c.png" \
			theme/dot_black.svg

menu: menu_c menu_e

highlight_w: dir
	inkscape --without-gui \
		--export-area=0:0:16:32 \
		--export-png="build/$(CODENAME_SAFE)/highlight_w.png" \
			theme/dot_black.svg

highlight_c: dir
	inkscape --without-gui \
		--export-area=16:0:17:32 \
		--export-png="build/$(CODENAME_SAFE)/highlight_c.png" \
			theme/dot_black.svg

highlight_e: dir
	inkscape --without-gui \
		--export-area=16:0:32:32 \
		--export-png="build/$(CODENAME_SAFE)/highlight_e.png" \
			theme/dot_black.svg

highlight: highlight_w highlight_c highlight_e

theme/icons/*.svg: iconsdir
	inkscape --without-gui \
		--export-width=32 \
		--export-height=32 \
		--export-png="$(patsubst theme/icons/%.svg,build/$(CODENAME_SAFE)/icons/%.png,$@)" \
			$@

themetxt:
	cp -v theme/theme.txt build/$(CODENAME_SAFE)

livetxt:
	cp -a build/$(CODENAME_SAFE) build/$(CODENAME_SAFE)-live
	cp -v theme/theme-live.txt build/$(CODENAME_SAFE)-live/theme.txt


clean:
	$(RM) -r build

=== debian/changelog ===
cblues-grub-theme (2021.1.0-2) unstable; urgency=medium

  * import changes by hendrikL; fixed logo scaling · 99455b7d05

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 02 Feb 2021 09:10:57 +0100

cblues-grub-theme (2021.1.0-1) unstable; urgency=medium

  * fix codename safe

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 30 Jan 2021 22:38:20 +0100

c-blues-grub-theme (2021.1.0) unstable; urgency=medium

  [ Hendrik Lehmbruch ]
  * prepare release 21.1 c-blues 
  * fixed logo

  [ Torsten Wohlfarth ]
  * build and upload for release

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 30 Jan 2021 17:03:32 +0100

patience-grub-theme (2018.3.0-1) unstable; urgency=medium

  * release 18.3

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 May 2018 20:51:06 +0200

patience-grub-theme (2018.2.0-2) unstable; urgency=medium

  * final release 18.2

 -- Alf Gaida <agaida@siduction.org>  Sat, 03 Mar 2018 11:59:55 +0100

patience-grub-theme (2018.2.0-1) unstable; urgency=medium

  * New Version and new progress bar

 -- Alf Gaida <agaida@siduction.org>  Thu, 15 Feb 2018 00:10:46 +0100

patience-grub-theme (2018.1.0-3) unstable; urgency=medium

  * fix progress bar

 -- Alf Gaida <agaida@siduction.org>  Fri, 29 Dec 2017 17:36:12 +0100

patience-grub-theme (2018.1.0-2) unstable; urgency=medium

  * Added progress bar

 -- Alf Gaida <agaida@siduction.org>  Thu, 28 Dec 2017 18:54:20 +0100

patience-grub-theme (2018.1.0-1) unstable; urgency=medium

  * release 18.1

 -- Alf Gaida <agaida@siduction.org>  Wed, 27 Dec 2017 00:11:52 +0100

patience-grub-theme (2017.1.0-1) unstable; urgency=medium

  * release branding

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Mar 2017 18:13:20 +0100

patience-grub-theme (2016.1.0-2) unstable; urgency=medium

  * fixed background and version

 -- Alf Gaida <agaida@siduction.org>  Thu, 22 Dec 2016 22:02:53 +0100

patience-grub-theme (2016.1.0-1) unstable; urgency=medium

  * the release is near

 -- Alf Gaida <agaida@siduction.org>  Wed, 21 Dec 2016 01:49:02 +0100

patience-grub-theme (2016.1.0~alpha-4) unstable; urgency=medium

  * new bootstrap, new structure - everything new
  * added debian/new-template

 -- Alf Gaida <agaida@siduction.org>  Sun, 04 Sep 2016 00:43:38 +0200

patience-grub-theme (2016.1.0~alpha-3) unstable; urgency=medium

  * fixed some other typos

 -- Alf Gaida <agaida@siduction.org>  Sat, 13 Aug 2016 03:06:21 +0200

patience-grub-theme (2016.1.0~alpha-2) unstable; urgency=medium

  * background and version fixed

 -- Alf Gaida <agaida@siduction.org>  Sat, 13 Aug 2016 02:50:12 +0200

patience-grub-theme (2016.1.0~alpha-1) unstable; urgency=low

  * initial release

 -- Alf Gaida <agaida@siduction.org>  Sat, 13 Aug 2016 01:12:50 +0200

=== debian/control ===
Source: cblues-grub-theme
Section: graphics
Priority: optional
Maintainer: Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 11),
               inkscape,
               grub-common
Standards-Version: 4.1.4
Vcs-Git: https://git.siduction.org/extra/grub-theme
Vcs-Browser: https://git.siduction.org/extra/grub-theme


Package: cblues-grub-theme
Architecture: all
Depends: ${misc:Depends},
Description: grub-theme for cblues
 mostly copy from grub-sources

Package: cblues-live-grub-theme
Architecture: all
Depends: ${misc:Depends},
         cblues-grub-theme
Description: live grub-theme for cblues
 mostly copy from grub-sources (live)

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make
